from sqlalchemy import Column, DateTime, Enum, Float, ForeignKey, String

from database import Base
from schemas.meter_value import Measurand, PhaseType

class Transaction(Base):
    __tablename__ = "meter_values"

    id = Column(String, primary_key=True)
    timestamp = Column(DateTime, index=True)
    measurand = Column(Enum(Measurand))
    phase_type = Column(Enum(PhaseType))
    unit = Column(String)
    value = Column(Float)

    transaction_id = Column(String, ForeignKey("transactions.id", index=True))