import enum
from sqlalchemy import Column, DateTime, Enum, Float, ForeignKey, String

from schemas.transaction import TransactionEventTriggerReason, TransactionStatus
from database import Base

class Transaction(Base):
    __tablename__ = "transactions"

    id = Column(String, primary_key=True)
    status = Column(Enum(TransactionStatus), index=True)
    started_at = Column(DateTime, index=True)
    ended_at = Column(DateTime, nullable=True, index=True)
    meter_start = Column(Float)
    meter_end = Column(Float, nullable=True)
    end_reason = Column(Enum(TransactionEventTriggerReason))

    connector_id = Column(String, ForeignKey("connectors.id", index=True))
    id_token_id = Column(String, ForeignKey("id_tokens.id", index= True))
