from fastapi import APIRouter, Security
from ocpp_proto import chargepoint_manager
from schemas.chargepoint import ChargePoint
from security import get_api_key

router = APIRouter(
    prefix="/chargepoint",
    tags=["chargepoint"],
)

@router.get(path="/", response_model=list[ChargePoint])
async def get_chargepoints(api_key: str = Security(get_api_key)):
    return

@router.post(path="/", response_model=ChargePoint)
async def create_chargepoint(api_key: str = Security(get_api_key)):
    return

@router.get(path="/{chargepoint_id}", response_model=ChargePoint)
async def get_chargepoint(
    chargepoint_id: str,
    api_key: str = Security(get_api_key),
):
    return

@router.patch(path="/{chargepoint_id}", response_model=ChargePoint)
async def update_chargepoint(
    chargepoint_id: str,
    api_key: str = Security(get_api_key),
):
    return

@router.delete(path="/{chargepoint_id}", response_model=[])
async def delete_chargepoint(
    chargepoint_id: str,
    api_key: str = Security(get_api_key),
):
    return

@router.get(path="/{chargepoint_id}/status", response_model=bool)
async def get_chargepoint(
    chargepoint_id: str,
    api_key: str = Security(get_api_key),
):
    return chargepoint_manager.is_connected(chargepoint_id)
