from pydantic import BaseModel

from schemas.id_token import IdToken

class UserBase(BaseModel):
    friendly_name: str
    is_active: bool

class UserCreate(UserBase):
    pass

class User(UserBase):
    id: str
    id_tokens: list[IdToken] = []

    class Config:
        from_attributes = True